Summary:        Detect if we are running in a virtual machine
Name:           virt-what
Version:        1.25
Release:        3%{?dist}
License:        GPLv2+
URL:            http://people.redhat.com/~rjones/virt-what/
Source0:        http://people.redhat.com/~rjones/virt-what/files/%{name}-%{version}.tar.gz

BuildRequires:  make gcc autoconf automake libtool
BuildRequires:  util-linux, /usr/bin/pod2man
Requires:       dmidecode util-linux which

%description
virt-what is a shell script which can be used to detect if the program
is running in a virtual machine.

virt-what supports a very large number of different hypervisor types, 
including common open source hypervisors (KVM, Xen, QEMU, VirtualBox), 
mainframe systems like IBM Systemz, LPAR, z/VM, hardware partitioning 
schemes like Hitachi Virtage, proprietary hypervisors like VMWare, 
Microsoft Hyper-V and much more.

The program prints out a list of "facts" about the virtual machine,
derived from heuristics.  One fact is printed per line.

If nothing is printed and the script exits with code 0 (no error),
then it can mean either that the program is running on bare-metal or
the program is running inside a type of virtual machine which we don't
know about or can't detect.

Current types of virtualization detected:

 - aws          Amazon Web Services
 - bhyve        FreeBSD hypervisor
 - docker       Docker container
 - hyperv       Microsoft Hyper-V
 - ibm_power-kvm
                IBM POWER KVM
 - ibm_power-lpar_shared
 - ibm_power-lpar_dedicated
                IBM POWER LPAR (hardware partition)
 - ibm_systemz-*
                IBM SystemZ Direct / LPAR / z/VM / KVM
 - ldoms        Oracle VM Server for SPARC Logical Domains
 - linux_vserver
                Linux VServer container
 - lxc          Linux LXC container
 - kvm          Linux Kernel Virtual Machine (KVM)
 - lkvm         LKVM / kvmtool
 - nutanix_ahv  Nutanix Acropolis Hypervisor (AHV)
 - openvz       OpenVZ or Virtuozzo
 - ovirt        oVirt node
 - parallels    Parallels Virtual Platform
 - powervm_lx86 IBM PowerVM Lx86 Linux/x86 emulator
 - qemu         QEMU (unaccelerated)
 - rhev         Red Hat Enterprise Virtualization
 - uml          User-Mode Linux (UML)
 - virtage      Hitachi Virtualization Manager (HVM) Virtage LPAR
 - virtualbox   VirtualBox
 - virtualpc    Microsoft VirtualPC
 - vmm          vmm OpenBSD hypervisor
 - vmware       VMware
 - xen          Xen
 - xen-dom0     Xen dom0 (privileged domain)
 - xen-domU     Xen domU (paravirtualized guest domain)
 - xen-hvm      Xen guest fully virtualized (HVM)

%prep
%autosetup -n %{name}-%{version} 
# Always rebuild upstream autotools files.
autoreconf -i

%build
%configure
make

%install
%make_install

%check
make check

%files
%license COPYING
%doc README
%{_sbindir}/virt-what
%{_libexecdir}/virt-what-cpuid-helper
%{_mandir}/man1/*.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.25-3
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 Yi Lin <nilusyi@tencent.com> - 1.25-2
- fix double percent in source0

* Tue Jul 11 2023 Yi Lin <nilusyi@tencent.com> - 1.25-1
- upgrade to 1.25

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Apr 14 2022 Songqiao Tao <joeytao@tencent.com> - 1.21-1
- initial build
